Subject: Re: [net-next PATCH] e1000: add initial XDP support

From: Jesper Dangaard Brouer <[email-masked]>
Date: Mon, 29 Aug 2016 10:30:47 +0200

On Sun, 28 Aug 2016 08:23:26 -0400
Jamal Hadi Salim <[email-masked]> wrote:

> On 16-08-27 03:11 AM, John Fastabend wrote:
> > From: Alexei Starovoitov <[email-masked]>
> >
> > This patch adds initial support for XDP on e1000 driver. Note e1000
> > driver does not support page recycling in general which could be
> > added as a further improvement. However for XDP_DROP and XDP_XMIT
> > the xdp code paths will recycle pages.
> >
> > This patch includes the rcu_read_lock/rcu_read_unlock pair noted by
> > Brenden Blanco in another pending patch.
> >
> >   net/mlx4_en: protect ring->xdp_prog with rcu_read_lock  
> 
> Do you have any perf numbers of drops of this vs tc drop at ingress?

Hi Jamal,

Can you please provide a simple "tc" command that implements "tc drop"?

Then, I'll add this to the series of tests I'm using for (what I call)
"zoom-in" benchmarking.

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer